<script>
export default {
  name: 'LazyMdCardArray',

  props: {
    values: {
      type: Array,
      required: true,
    },
  },

  methods: {
    isObject(value) {
      return typeof value === 'object'
    },
  },
}
</script>

<template>
  <div class="font-mono">
    <div v-for="(value, index) in values" :key="value">
      <lazy-md-card-object
        v-if="isObject(value)"
        :label="index.toString()"
        :value="value"
      />
      <div v-else class="whitespace-nowrap">
        <span class="text-indigo-500">-</span>
        <span class="text-amber-600">{{ value }}</span>
      </div>
    </div>
  </div>
</template>
